# Asterisk Project : Asterisk 13 Application_WaitUntil

Created by wikibot on Aug 08, 2014

# WaitUntil()

### Synopsis

Wait (sleep) until the current time is the given epoch.

### Description

Waits until the given epoch.

Sets `WAITUNTILSTATUS` to one of the following values:

- `WAITUNTILSTATUS`
  - OK - Wait succeeded.
  - FAILURE - Invalid argument.
  - HANGUP - Channel hungup before time elapsed.
  - PAST - Time specified had already past.

### Syntax

    WaitUntil(epoch)

##### Arguments

- `epoch`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538